org.wso2.carbon.webapp.mgt.internal

## Class WebappManagementServiceComponent

- java.lang.Object
- - org.wso2.carbon.webapp.mgt.internal.WebappManagementServiceComponent

-     public class WebappManagementServiceComponent
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `WebappManagementServiceComponent()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `activate(org.osgi.service.component.ComponentContext ctx)`
    `protected void` | `deactivate(org.osgi.service.component.ComponentContext ctx)`
    `protected void` | `setAppManager(org.wso2.carbon.application.deployer.service.ApplicationManagerService applicationManager)`
    `protected void` | `setConfigurationContextService(org.wso2.carbon.utils.ConfigurationContextService contextService)`
    `protected void` | `setDeploymentSynchronizerService(org.wso2.carbon.core.deployment.DeploymentSynchronizer depSynchService)`
    `protected void` | `setRealmService(org.wso2.carbon.user.core.service.RealmService realmService)`
    `protected void` | `setTenantRegistryLoader(org.wso2.carbon.registry.core.service.TenantRegistryLoader tenantRegistryLoader)`
    `protected void` | `unsetAppManager(org.wso2.carbon.application.deployer.service.ApplicationManagerService appManager)`
    `protected void` | `unsetConfigurationContextService(org.wso2.carbon.utils.ConfigurationContextService contextService)`
    `protected void` | `unsetDeploymentSynchronizerService(org.wso2.carbon.core.deployment.DeploymentSynchronizer depSynchService)`
    `protected void` | `unsetRealmService(org.wso2.carbon.user.core.service.RealmService realmService)`
    `protected void` | `unsetTenantRegistryLoader(org.wso2.carbon.registry.core.service.TenantRegistryLoader tenantRegistryLoader)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WebappManagementServiceComponent

          public WebappManagementServiceComponent()

  - ### Method Detail

    - #### activate

          protected void activate(org.osgi.service.component.ComponentContext ctx)

    - #### deactivate

          protected void deactivate(org.osgi.service.component.ComponentContext ctx)

    - #### setConfigurationContextService

          protected void setConfigurationContextService(org.wso2.carbon.utils.ConfigurationContextService contextService)

    - #### unsetConfigurationContextService

          protected void unsetConfigurationContextService(org.wso2.carbon.utils.ConfigurationContextService contextService)

    - #### setRealmService

          protected void setRealmService(org.wso2.carbon.user.core.service.RealmService realmService)

    - #### unsetRealmService

          protected void unsetRealmService(org.wso2.carbon.user.core.service.RealmService realmService)

    - #### setTenantRegistryLoader

          protected void setTenantRegistryLoader(org.wso2.carbon.registry.core.service.TenantRegistryLoader tenantRegistryLoader)

    - #### unsetTenantRegistryLoader

          protected void unsetTenantRegistryLoader(org.wso2.carbon.registry.core.service.TenantRegistryLoader tenantRegistryLoader)

    - #### setDeploymentSynchronizerService

          protected void setDeploymentSynchronizerService(org.wso2.carbon.core.deployment.DeploymentSynchronizer depSynchService)

    - #### unsetDeploymentSynchronizerService

          protected void unsetDeploymentSynchronizerService(org.wso2.carbon.core.deployment.DeploymentSynchronizer depSynchService)

    - #### setAppManager

          protected void setAppManager(org.wso2.carbon.application.deployer.service.ApplicationManagerService applicationManager)

    - #### unsetAppManager

          protected void unsetAppManager(org.wso2.carbon.application.deployer.service.ApplicationManagerService appManager)

Copyright © 2019 WSO2. All rights reserved.